QGIS Application - Feature request #2957
Alignment in composer table widget
2010-08-19 04:17 AM - zicke -

Status: Closed

Priority: Low

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13017
Description

Everything in the table widget is aligned to the left. It would be nice if this can be controlled or if numerical values are aligned to the right.

Associated revisions

Revision dc905acc - 2014-05-15 04:06 AM - Nyall Dawson

[FEATURE][composer] Rework attribute tables to make tables more flexible.

- Add support for reordering columns in a table (fix #5942)

- Add support for expression based columns

- Add support for setting column alignment (fix #2957)

- Add support for setting column header alignment

- Make sorting in tables correctly handle nulls, dates, times, locale aware string sorting

This work also paves the way for future expansion of attribute tables to allow for setting column widths, column colors, etc.

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#5 - 2014-04-23 11:07 PM - Nyall Dawson
- Assignee changed from nobody - to Nyall Dawson

- Pull Request or Patch supplied set to No

#6 - 2014-05-14 07:15 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"dc905accacb25ff0932a19d5146de8e0b0fd3d84".
